package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.MessageTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class PushInfoDto {

    @ApiModelProperty(value = "通知用户",required = false)
    private List<Integer> userIds;

    @ApiModelProperty(value = "消息类型",required = false)
    private MessageTypeEnum messageType;

    @ApiModelProperty(value = "im内容",required = false)
    private String imContent;

    @ApiModelProperty(value = "审批查看url",required = false)
    private String workOrderUrl;

    public List<Integer> getUserIds() {
        return userIds;
    }

    public void setUserIds(List<Integer> userIds) {
        this.userIds = userIds;
    }

    public MessageTypeEnum getMessageType() {
        return messageType;
    }

    public void setMessageType(MessageTypeEnum messageType) {
        this.messageType = messageType;
    }

    public String getImContent() {
        return imContent;
    }

    public void setImContent(String imContent) {
        this.imContent = imContent;
    }

    public String getWorkOrderUrl() {
        return workOrderUrl;
    }

    public void setWorkOrderUrl(String workOrderUrl) {
        this.workOrderUrl = workOrderUrl;
    }
}
